Skip to content

Get shared agent details

GET
/api/v1/gen_agents/share/{agent_id}

Retrieve details of a specific shared agent. The response includes ‘id’ field (share_agent_id) which is used for DELETE endpoint.

agent_id
required
Agent Id
string

Successful Response

SharedAgentResponse
object
id
required
Id

Agent ID

string
name
Any of:
string
organization
Any of:
string
role
Any of:
string
shared_users
Shared Users
Array<object>
SharedUser
object
id
required
Id
integer
name
Any of:
string
role
required
Role
string
email
required
Email
string
shared_agent_id
Any of:
integer
primary_avatar_url
Any of:
string
tiktok_integration
Tiktok Integration
boolean
degods
Degods
boolean
tiktok_social_account
Tiktok Social Account
boolean
key
additional properties
any

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string